<?php
	class PrecoController extends PrecoModel {
		private $idTipoMatricula;
		private $preco;
		private $nota;

		public function __construct($idTipoMatricula, $preco, $nota){
			$this->idTipoMatricula = $idTipoMatricula;
			$this->preco = $preco;
			$this->nota = $nota;

		}

		public function createPreco(){
			$result = $this->insertPreco($this->idTipoMatricula, $this->preco, $this->nota);
			return $result;
		}

		public function updatePreco($idPreco){
			$result = $this->editPreco($idPreco, $this->idTipoMatricula, $this->preco, $this->nota);
			return $result;
		}
	}